be.vlaanderen.mercurius.mohm.schemas.v1

## Class DependentPersonType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.DependentPersonType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class DependentPersonType
      extends Object
      implements Serializable

  Generiek type voor een zorgvrager.

  Java class for DependentPersonType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DependentPersonType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
               <element name="NotOfficialAddress" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependentPersonType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddressType` | `getNotOfficialAddress()` Gets the value of the notOfficialAddress property.
    `String` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setNotOfficialAddress(AddressType value)` Sets the value of the notOfficialAddress property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependentPersonType

          public DependentPersonType()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotOfficialAddress

          public AddressType getNotOfficialAddress()

      Gets the value of the notOfficialAddress property.
      Returns:
        possible object is `AddressType`

    - #### setNotOfficialAddress

          public void setNotOfficialAddress(AddressType value)

      Sets the value of the notOfficialAddress property.
      Parameters:
        `value` - allowed object is `AddressType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.